# PSF-LoginServer - master - net.psforever.objects.vital.NoResolutions
PSF - LoginServer - master - net.psforever.objects.vital.NoResolutions
Keywords: PSF LoginServer master net.psforever.objects.vital.NoResolutions

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package base
  Definition Classes
    vital
-  package collision
  Definition Classes
    vital
-  package damage
  Definition Classes
    vital
-  package environment
  Definition Classes
    vital
-  package etc
  Definition Classes
    vital
-  package interaction
  Definition Classes
    vital
-  package projectile
  Definition Classes
    vital
-  package prop
  Definition Classes
    vital
-  package resistance
  Definition Classes
    vital
-  package resolution
  Definition Classes
    vital
- AmenityHitResistance
- AmenitySplashResistance
- AnyResolutions
- ComplexDeployableResolutions
- DamageFrom
- DamageFromEnvironment
- DamageFromExplodingEntity
- DamageFromPainbox
- DamageFromProjectile
- DamagingActivity
- HealFromEquipment
- HealFromExoSuitChange
- HealFromImplant
- HealFromKit
- HealFromTerm
- HealingActivity
- InfantryAggravatedResistance
- InfantryHitResistance
- InfantryLashResistance
- InfantryResolutions
- InfantrySplashResistance
- MaxResolutions
- NoResistance
- NoResistanceSelection
- NoResolutions
- PlayerSuicide
- RepairFromEquipment
- RepairFromKit
- RepairFromTerm
- SimpleResolutions
- StandardAmenityResistance
- StandardInfantryResistance
- StandardVehicleResistance
- VehicleAggravatedResistance
- VehicleHitResistance
- VehicleLashResistance
- VehicleResolutions
- VehicleShieldCharge
- VehicleSplashResistance
- Vitality
- VitalityDefinition
- VitalsActivity
- VitalsHistory

o

net.psforever.objects.vital

# NoResolutions

###

#### object NoResolutions extends DamageResistanceCalculations[Int]

Source
  StandardResolutions.scala

Linear Supertypes
DamageResistanceCalculations[Int], ResolutionCalculations, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NoResolutions
2. DamageResistanceCalculations
3. ResolutionCalculations
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculate(damages: Selector, resistances: Format, data: DamageInteraction): Output

   The exposed entry for the calculation function literal defined by this base.

   The exposed entry for the calculation function literal defined by this base.

   damages

     the function literal that accumulates and calculates damages

   resistances

     the function literal that collects resistance values

   data

     the historical damage information

   returns

     a function literal that encapsulates delayed modification instructions for certain objects

   Definition Classes
     DamageResistanceCalculations → ResolutionCalculations
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from DamageResistanceCalculations[Int]

### Inherited from ResolutionCalculations

### Inherited from AnyRef

### Inherited from Any

### Ungrouped